/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import type { JsonObjectNodeSchema, JsonTreeSchema } from "./jsonSchema.js";
import type { TreeSchema } from "./tree.js";
import type { TreeSchemaEncodingOptions } from "./getJsonSchema.js";
import { ObjectNodeSchema } from "../objectNodeTypes.js";
/**
 * Generates a JSON Schema representation from a simple tree schema.
 * @remarks
 * This expects the data to be in the {@link ConciseTree} format.
 *
 * This cannot handle the case where the root is undefined since undefined is not a concept in JSON.
 * This also cannot handle {@link SchemaStatics.handle} since they also are not supported in JSON.
 *
 * @internal
 */
export declare function toJsonSchema(schema: TreeSchema, options: Required<TreeSchemaEncodingOptions>): JsonTreeSchema;
export declare function convertObjectNodeSchema(schema: ObjectNodeSchema, options: Required<TreeSchemaEncodingOptions>): JsonObjectNodeSchema;
//# sourceMappingURL=simpleSchemaToJsonSchema.d.ts.map