"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isMapNodeSchema = exports.MapNodeSchema = void 0;
const index_js_1 = require("./core/index.js");
/**
 * @alpha
 */
exports.MapNodeSchema = {
    /**
     * instanceof-based narrowing support for MapNodeSchema in Javascript and TypeScript 5.3 or newer.
     */
    [Symbol.hasInstance](value) {
        return isMapNodeSchema(value);
    },
};
/**
 * Narrows a {@link (TreeNodeSchema:interface)} to an {@link (MapNodeSchema:interface)}.
 * @privateRemarks
 * If at some point we want to have internal only APIs for MapNodeSchema (like done for objects),
 * this can include those since its not the public facing API.
 */
function isMapNodeSchema(schema) {
    return schema.kind === index_js_1.NodeKind.Map;
}
exports.isMapNodeSchema = isMapNodeSchema;
//# sourceMappingURL=mapNodeTypes.js.map