/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { NodeKind, } from "./core/index.js";
/**
 * @alpha
 */
export const ArrayNodeSchema = {
    /**
     * instanceof-based narrowing support for ArrayNodeSchema in Javascript and TypeScript 5.3 or newer.
     */
    [Symbol.hasInstance](value) {
        return isArrayNodeSchema(value);
    },
};
/**
 * Narrows a {@link (TreeNodeSchema:interface)} to an {@link (ArrayNodeSchema:interface)}.
 * @privateRemarks
 * If at some point we want to have internal only APIs for ArrayNodeSchema (like done for objects),
 * this can include those since its not the public facing API.
 */
export function isArrayNodeSchema(schema) {
    return schema.kind === NodeKind.Array;
}
//# sourceMappingURL=arrayNodeTypes.js.map